commit 4201e972503949e638dcdad5f3a8d411abb2affd
Author: Marcin Banasiak <marcin.banasiak@gmail.com>
Date:   Tue Sep 11 19:29:03 2012 +0200

    Don't get number of elements in database iterator in rpmdb_it_init() (lp#1042200)

diff --git a/pm/rpm/rpmdb_it.c b/pm/rpm/rpmdb_it.c
index fee5908..a66164e 100644
--- a/pm/rpm/rpmdb_it.c
+++ b/pm/rpm/rpmdb_it.c
@@ -37,7 +37,7 @@ struct rpmdb_it {
 };
 
 static
-int rpmdb_it_init(rpmdb db, struct rpmdb_it *it, int tag, const char *arg)
+void rpmdb_it_init(rpmdb db, struct rpmdb_it *it, int tag, const char *arg)
 {
     int rpmtag = 0, argsize = 0;
     char path[PATH_MAX];
@@ -90,10 +90,8 @@ int rpmdb_it_init(rpmdb db, struct rpmdb_it *it, int tag, const char *arg)
     it->db = db;
 #ifdef HAVE_RPMMI
     it->mi = rpmmiInit(db, rpmtag, arg, argsize);
-    return rpmmiCount(it->mi);
 #else
     it->mi = rpmdbInitIterator(db, rpmtag, arg, argsize);
-    return rpmdbGetIteratorCount(it->mi);
 #endif /* HAVE_RPMMI */
 }
 
